1. Parolapay
E-Pay
  • Default module
    • Inital
      • Payment Types
    • Credit Card
      • Pay with card number
      • Pay with card token
      • Payment Status
      • Payment Refund
      • Payment Complete
      • Payment Void
    • Card Storage
      • Saved Card List
      • Saved Card Get
      • Saved Card Create
      • Saved Card Delete
    • Queries
      • Credit Card Bin Query / Installment
      • Credit Card Bin Query / Installments
    • ParolaparaPay
      • Create Payment (Send OTP Message)
      • Otp Verify
      • Capture
      • Cancel
      • Refund
      • Status
    • Schemas
      • Requests
        • Order Request
        • Order Item Request
        • Address
        • Customer
        • Payment Request
      • Responses
        • Installment
        • Stored Card
        • Payment Status
        • Paymentstate
      • Enums
        • Card types
  • UcuzYolu
    • Parolapay
      • Cancel
      • Capture
      • Health Check
      • Initiate
      • OTP verify
      • Payment Status
      • Refund
      • ResendOTp
      • Status
  • UcuzYolu
    • Parolapay
      • Cancel
        GET
      • Capture
        GET
      • Health Check
        GET
      • Initiate
        POST
      • OTP verify
        POST
      • Payment Status
        GET
      • Refund
        POST
      • ResendOTp
        GET
      • Status
        GET
  1. Parolapay

Refund

POST
/parolapay/refund

Request

Body Params application/json

Example
{
  "intent_id":"pi_f6c993ad890e49d4859c8c17",
  "amount":1500,
  "currency":"TRY",
  "reason":"customer_requested",
  "description":"Müşteri istedi",
  "merchant_ref": "ORDER-46"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/parolapay/refund' \
--header 'Content-Type: application/json' \
--data '{
  "intent_id":"pi_f6c993ad890e49d4859c8c17",
  "amount":1500,
  "currency":"TRY",
  "reason":"customer_requested",
  "description":"Müşteri istedi",
  "merchant_ref": "ORDER-46"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2025-10-03 19:32:55
Previous
Payment Status
Next
ResendOTp
Built with